///////////////////////////////////////////////////////////
//  ofxPAR_Control_Rectangular.h
//  Implementation of the Class ofxPAR_Control_Rectangular
//  Created on:      20-fev-2015 06:54:02
//  Original author: Christopher Shneider Cerqueira
///////////////////////////////////////////////////////////

#if !defined(EA_678E7A8C_5607_4998_B11E_E5146368CBC8__INCLUDED_)
#define EA_678E7A8C_5607_4998_B11E_E5146368CBC8__INCLUDED_

#include "ofxPAR_Control.h"

class ofxPAR_Control_Rectangular : public ofxPAR_Control
{

public:
	ofxPAR_Control_Rectangular();
	virtual ~ofxPAR_Control_Rectangular();

	ofxPAR_Control_Rectangular(const cv::RotatedRect &rotRect);

	virtual void draw() = 0;

    bool contains(float x, float y);
    virtual bool operator==(const ofxPAR_Control_Rectangular &other);
    bool operator!=(const ofxPAR_Control_Rectangular &other) { return !(*this == other); }

protected:
    ofVec2f alignPoint(float x, float y);
    float angle;
    ofRectangle rect;

};
#endif // !defined(EA_678E7A8C_5607_4998_B11E_E5146368CBC8__INCLUDED_)
