///////////////////////////////////////////////////////////
//  ofxPAR_C_Button.h
//  Implementation of the Class ofxPAR_C_Button
//  Created on:      14-fev-2015 00:12:02
//  Original author: Christopher Shneider Cerqueira
///////////////////////////////////////////////////////////

#if !defined(EA_D77B29C5_60B3_4b7c_8BEB_5F24F645D2F5__INCLUDED_)
#define EA_D77B29C5_60B3_4b7c_8BEB_5F24F645D2F5__INCLUDED_

#include "ofxPAR_Control.h"

class ofxPAR_C_Button : public ofxPAR_Control
{

public:
	ofxPAR_C_Button();
	virtual ~ofxPAR_C_Button();

    ofxPAR_C_Button(float x, float y, float r);

    void draw();
    bool contains(float x, float y);
    bool onInteraction(float x, float y);
    bool operator==(const ofxPAR_C_Button &other);
    bool operator!=(const ofxPAR_C_Button &other) {
        return !(*this == other);
    }

private:
    float cx;
    float cy;
    float radius;
    bool active;
    bool entered;
};
#endif // !defined(EA_D77B29C5_60B3_4b7c_8BEB_5F24F645D2F5__INCLUDED_)
