///////////////////////////////////////////////////////////
//  ofxPAR_C_Slider.h
//  Implementation of the Class ofxPAR_C_Slider
//  Created on:      14-fev-2015 00:12:02
//  Original author: Christopher Shneider Cerqueira
///////////////////////////////////////////////////////////

#if !defined(EA_31E79561_5047_42f3_83DF_DBFEC7ED8323__INCLUDED_)
#define EA_31E79561_5047_42f3_83DF_DBFEC7ED8323__INCLUDED_

#include "ofxPAR_Control_Rectangular.h"
#include "ofxPAR_Control.h"

class ofxPAR_C_Slider : public ofxPAR_Control_Rectangular
{

public:
	ofxPAR_C_Slider();
	virtual ~ofxPAR_C_Slider();

    ofxPAR_C_Slider(const cv::RotatedRect &rotRect);

    void draw();
    bool onInteraction(float x, float y);

private:
    float value;

};
#endif // !defined(EA_31E79561_5047_42f3_83DF_DBFEC7ED8323__INCLUDED_)
